#!/usr/bin/env python

# networking.py
# (c) 2009 Alex Launi - alex.launi@gmail.com
# GPLv3

import dbus

game_interface = "org.gnome.TicTacToe.game"

class Peer(dbus.service.Object):

	def __init__(self, bus, obj_path, board):
		"""game is the UI in main.py, for which we should get a better name
		"""
		dbus.service.Object.__init__(self, bus, obj_path)
		self._board = board

	@dbus.service.method(dbus_interface=game_interface, in_signature="", out_signature="")
	def new_game(self):
		self._board.new_game()
		
	@dbus.service.method(dbus_interface=game_interface, in_signature="iii", out_signature="")
	def make_move(self, x, y, player):
		x, y, player = int(x), int(y), int(player)
		self._board.make_move([x, y], player)
